class_name MovingEnemyBase
extends EnemyBase

@export var guard_path : GuardPath

func _ready() -> void:
	enemy_behavior = get_node("MovingEnemyBehavior")
	if guard_path == null:
		printerr("No guard path assigned!")
	enemy_behavior.guard_path = guard_path
	super._ready()
